Name:           maya-calendar
Summary:        The official elementary calendar
Version:        0.4.0.2
Release:        13%{?dist}
License:        GPLv3+
URL:            https://launchpad.net/maya

Source0:        https://launchpad.net/maya/loki/%{version}/+download/%{name}-%{version}.tar.xz

# Include the appropriate icon from elementary-icon-theme so appdata metadata generation works.
# A Bug about the missing icon is reported upstream:
# https://bugs.launchpad.net/maya/+bug/1658325

Source1:        maya-calendar.svg

# Patch the .desktop file to not use the generic icon name but the bundled icon
Patch0:         00-rename-icon.patch

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  vala

BuildRequires:  pkgconfig(champlain-0.12)
BuildRequires:  pkgconfig(champlain-gtk-0.12)
BuildRequires:  pkgconfig(clutter-1.0)
BuildRequires:  pkgconfig(folks)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(geocode-glib-1.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.11.6
BuildRequires:  pkgconfig(libecal-1.2) >= 3.8.0
BuildRequires:  pkgconfig(libical)

# maya-calendar also provides a generic symbolic icon (actions/calendar-go-today)
Requires:       hicolor-icon-theme


%description
A slim, lightweight GTK+3 calendar app written in Vala, designed for
elementary OS. Also looks and works great on other GTK+ desktops.

In elementary OS, Maya is known as Calendar.


%package        devel
Summary:        The official elementary calendar (devel files)
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description    devel
A slim, lightweight GTK+3 calendar app written in Vala, designed for
elementary OS. Also looks and works great on other GTK+ desktops.

In elementary OS, Maya is known as Calendar.

This package contains the development files.


%prep
%autosetup -p1


%build
mkdir build && pushd build
%cmake -DBUILD_FOR_ELEMENTARY:BOOL=OFF ..
%make_build
popd


%install
pushd build
%make_install
popd

%find_lang maya-calendar

mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/scalable/apps
cp -p %{SOURCE1} %{buildroot}/%{_datadir}/icons/hicolor/scalable/apps/


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/maya-calendar.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/maya-calendar-daemon.desktop

appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/maya-calendar.appdata.xml


%post
/sbin/ldconfig
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/sbin/ldconfig

if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f maya-calendar.lang
%doc AUTHORS COPYRIGHT HACKING
%license COPYING COPYRIGHT

%{_bindir}/maya-calendar
%{_bindir}/maya-calendar-daemon

%{_libdir}/libmaya-calendar.so.0
%{_libdir}/libmaya-calendar.so.0.1
%{_libdir}/maya-calendar/

%{_datadir}/appdata/maya-calendar.appdata.xml
%{_datadir}/applications/maya-calendar.desktop
%{_datadir}/applications/maya-calendar-daemon.desktop
%{_datadir}/glib-2.0/schemas/org.pantheon.maya.gschema.xml
%{_datadir}/icons/hicolor/scalable/actions/calendar-go-today.svg
%{_datadir}/icons/hicolor/scalable/apps/maya-calendar.svg
%{_datadir}/maya-calendar/


%files          devel
%{_includedir}/maya-calendar/

%{_libdir}/libmaya-calendar.so
%{_libdir}/pkgconfig/maya-calendar.pc

%{_datadir}/vala/vapi/maya-calendar.deps
%{_datadir}/vala/vapi/maya-calendar.vapi


%changelog
* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Jan 28 2017 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.2-10
- Rename icon to match .desktop file.
- Ship branded .desktop file.

* Wed Jan 25 2017 Fabio Valentini <decathorpe@gmail.com>
- Remove explicit BR: /usr/bin/pkgconfig.

* Mon Jan 23 2017 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.2-9
- Bundle application icon. Explicitly Requires: /usr/bin/pkg-config.

* Sun Jan 01 2017 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.2-8
- Mark COPYRIGHT as %%license as well.

* Sat Dec 31 2016 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.2-7
- Clean up spec file.

* Thu Sep 29 2016 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.2-6
- Mass rebuild.

* Wed Sep 28 2016 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.2-5
- Spec file cleanups.

* Wed Sep 28 2016 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.2-4
- Spec file cleanups.

* Tue Sep 27 2016 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.2-3
- Validate all .desktop files.

* Mon Sep 19 2016 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.2-2
- Spec file cosmetics.

* Tue Sep 06 2016 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.2-1
- Update to version 0.4.0.2.

* Mon Aug 15 2016 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.1-1
- Update to version 0.4.0.1.

* Sun Aug 14 2016 Fabio Valentini <decathorpe@gmail.com> - 0.4-1
- Update to version 0.4.


